﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            
            ultraChart1.Dock = DockStyle.Fill;
            
            
            // You could set the Min and Max Range of your axis
            ultraChart1.Axis.X.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart1.Axis.X.RangeMin = -5;
            ultraChart1.Axis.X.RangeMax =  50;

            ultraChart1.Axis.Y.RangeType = Infragistics.UltraChart.Shared.Styles.AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMin = -250;
            ultraChart1.Axis.Y.RangeMax = 250;


            // Here is the code which modify the labels at each column
            ChartTextAppearance cta = new ChartTextAppearance();
            cta.ChartTextFont = new System.Drawing.Font("Arial", 7F);
            cta.Column = -2;
            cta.VerticalAlign = StringAlignment.Far;
            
            // With this property you are able to modify the Format string
            // Other possible option 
            // "<DATA_VALUE:00.##>"
            // "<DATA_VALUE:00.##> %"
            // "<DATA_VALUE:00.##> My text"
            // "<DATA_VALUE:0.00000>" and etc.
            cta.ItemFormatString = "<DATA_VALUE:00.00>";
            cta.Row = -2;
            cta.Visible = true;

            ColumnChartAppearance cca = new ColumnChartAppearance();
            cca.ChartText.Add(cta);
            this.ultraChart1.ColumnChart = cca;


            
           

            // Here are the important properties
            ultraChart1.Axis.X.Extent = 30;
            ultraChart1.Axis.Y.Extent = 20;
            
            // If you are using 3D charts
            ultraChart1.Axis.Z.Extent = 20;


            // I add some data
            DataTable dt = new DataTable();
            dt.Columns.Add("Time", typeof(double));
            dt.Columns.Add("BPL", typeof(double));
            dt.Columns.Add("BPH", typeof(double));
            dt.Columns.Add("Pulse", typeof(double));


            // Add in your DataSet negative values
            dt.Rows.Add(50, 0, 0, 0);
            dt.Rows.Add(60, -90, 140, 80);
            dt.Rows.Add(-50, -110, 160, 90);
            dt.Rows.Add(70, -115, 160, -80);
            dt.Rows.Add(80, -120, 155, 90);
            dt.Rows.Add(-92, -122, 157, -90);
            dt.Rows.Add(115,-120, 160, 80);
            dt.Rows.Add(130, -150, 200, -90);
            dt.Rows.Add(70, -100, 120, 70);

            ultraChart1.DataSource = dt;
        }
    }
}
